Issue 105825 - show a reasonable error message when HSQL 1.8 attempts to open a HSQL 1.9 database
Summary: show a reasonable error message when HSQL 1.8 attempts to open a HSQL 1.9 dat...
Status: CLOSED FIXED
Alias: None
Product: Base
Classification: Application
Component: code (show other issues)
Version: OOo 3.1.1
Hardware: Sun All
: P3 Trivial (vote)
Target Milestone: OOo 3.2
Assignee: marc.neumann
QA Contact: issues@dba
URL:
Keywords:
Depends on:
Blocks: 99999
  Show dependency tree
 
Reported: 2009-10-12 13:41 UTC by Frank Schönheit
Modified: 2009-11-09 10:08 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description Frank Schönheit 2009-10-12 13:41:48 UTC
Currently, when you try to open an embedded database which has been created
using HSQLDB 1.9, OOo shows an error message containing some techno speak. This
is not really helpful for the user in determining the problem.
We should add some code which recognizes that the to-be-opened database document
has been written by a later version, and provides an error message which
explicitly explains this to the user.
Comment 1 ocke.janssen 2009-10-13 07:46:11 UTC
Fixed in cws dba32i
Comment 2 ocke.janssen 2009-10-28 08:40:42 UTC
Please open the sample db from
http://www.openoffice.org/nonav/issues/showattachment.cgi/65479/sakila-hsqldb-1018-01.odb
to verify the issue. Thanks.
Comment 3 marc.neumann 2009-10-30 11:33:39 UTC
verified in CWS dba32i

find more information about this CWS, like when it is available in the master
builds, in EIS, the Environment Information System:
http://eis.services.openoffice.org/EIS2/cws.ShowCWS?Path=DEV300%2Fdba32i
Comment 4 r4zoli 2009-11-09 10:08:54 UTC
Verified in OOO320_m4.
Closing.